%global pypi_name pydantic

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.7.3
Release:        %mkrel 1
Summary:        Data validation using Python type hinting
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pydantic
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Data validation and settings management using python type hinting.

%package -n     python3-pydantic
Summary:        %{summary}
%{?python_provide:%python_provide python3-pydantic}

%description -n python3-pydantic
Data validation and settings management using python type hinting.

%prep
%autosetup -n pydantic-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pydantic

%if %{with check}
%check
%pytest
%endif

%files -n python3-pydantic -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Jul 14 2024 papoteur <papoteur> 2.7.3-1.mga10
+ Revision: 2081438
- new version 2.7.3

* Wed Apr 03 2024 papoteur <papoteur> 2.6.4-1.mga10
+ Revision: 2054160
- new version 2.6.4

* Sun Dec 10 2023 wally <wally> 2.5.2-1.mga10
+ Revision: 2016941
- new version 2.5.2
- use pyproject rpm macros

* Sun Oct 09 2022 guillomovitch <guillomovitch> 1.10.2-1.mga9
+ Revision: 1895686
- imported package python-pydantic

